ContentDisplay (JavaFX 13)

Module javafx.controls
Package javafx.scene.control

## Enum ContentDisplay

- java.lang.Object
- - java.lang.Enum<ContentDisplay>
  - - javafx.scene.control.ContentDisplay

- All Implemented Interfaces:
    `Serializable`, `Comparable<ContentDisplay>`

      public enum ContentDisplay
      extends Enum<ContentDisplay>

  The position to place the content within a Label.

  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | Content will be placed at the bottom of the Label.
    `CENTER` | Content will be placed at the center of the Label.
    `GRAPHIC_ONLY` | Only the content will be displayed.
    `LEFT` | Content will be placed at the left of the Label.
    `RIGHT` | Content will be placed at the right of the Label.
    `TEXT_ONLY` | Only the label's text will be displayed.
    `TOP` | Content will be placed at the top of the Label.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentDisplay` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ContentDisplay[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final ContentDisplay TOP

      Content will be placed at the top of the Label.

    - #### RIGHT

          public static final ContentDisplay RIGHT

      Content will be placed at the right of the Label.

    - #### BOTTOM

          public static final ContentDisplay BOTTOM

      Content will be placed at the bottom of the Label.

    - #### LEFT

          public static final ContentDisplay LEFT

      Content will be placed at the left of the Label.

    - #### CENTER

          public static final ContentDisplay CENTER

      Content will be placed at the center of the Label.

    - #### GRAPHIC_ONLY

          public static final ContentDisplay GRAPHIC_ONLY

      Only the content will be displayed.

    - #### TEXT_ONLY

          public static final ContentDisplay TEXT_ONLY

      Only the label's text will be displayed.

  - ### Method Detail

    - #### values

          public static ContentDisplay[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentDisplay c : ContentDisplay.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentDisplay valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null